Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

When I doing the software update on Fedora 17, I get this message prompt to me:

There are unfinished transactions remaining. Please run yum-complete-transaction as root.

I follow the instruction and I get this error:

Error: Trying to remove "yum", which is protected
** Found 9 pre-existing rpmdb problem(s), 'yum check' output follows:
32:bind-libs-9.9.2-7.P2.fc17.x86_64 is a duplicate with 32:bind-libs-9.9.2-5.P1.fc17.x86_64
32:bind-license-9.9.2-7.P2.fc17.noarch is a duplicate with 32:bind-license-9.9.2-5.P1.fc17.noarch
firefox-19.0.2-1.fc17.x86_64 has installed conflicts xulrunner(x86-64) > ('0', '19.1', None): xulrunner-20.0-1.fc17.x86_64
1:java-1.7.0-openjdk-1.7.0.17-2.3.8.3.fc17.x86_64 is a duplicate with 1:java-1.7.0-openjdk-1.7.0.9-2.3.8.0.fc17.x86_64
libipa_hbac-1.9.4-1.fc17.x86_64 is a duplicate with libipa_hbac-1.8.6-1.fc17.x86_64
sssd-1.9.4-1.fc17.x86_64 is a duplicate with sssd-1.8.6-1.fc17.x86_64
sssd-client-1.9.4-1.fc17.x86_64 is a duplicate with sssd-client-1.8.6-1.fc17.x86_64
tzdata-java-2013b-2.fc17.noarch is a duplicate with tzdata-java-2013b-1.fc17.noarch
xulrunner-20.0-1.fc17.x86_64 is a duplicate with xulrunner-19.0.2-1.fc17.x86_64

How could resolve this problem?

share|improve this question

1 Answer 1

up vote 1 down vote accepted

Install the yum-utils package, and run package-cleanup --cleandupes (check the manual pages for other options), then try again. You might need to update yum and possibly rpm beforehand.

share|improve this answer
    
This works great. Some add-on, after this command, I still need to issue yum-complete-transaction command to resume my updates. –  huahsin68 Apr 14 '13 at 10:30

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.